Bug 1296679 - Fedora .desktop file does not match upstream
Summary: Fedora .desktop file does not match upstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lyx
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-07 20:05 UTC by Richard Hughes
Modified: 2016-04-30 03:34 UTC (History)
2 users (show)

Fixed In Version: lyx-2.1.4-7.fc24 lyx-2.1.4-7.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-17 23:42:10 UTC


Attachments (Terms of Use)

Description Richard Hughes 2016-01-07 20:05:57 UTC
Description of problem:

The shipped desktop file in Fedora 23 does not match upstream. Upstream has keywords (and different descriptions) compared to what's in Fedora: http://git.lyx.org/?p=lyx.git;a=blob_plain;f=lib/lyx.desktop.in;hb=HEAD

This means that lyx does not show up high in the search results in gnome-software. Is there a good reason lyx-common ships a different file? Thanks.

Comment 1 José Matos 2016-01-08 11:10:28 UTC
Following Richard's report I found that the lyx.desktop was introduced to lyx in 2011:
http://www.lyx.org/trac/changeset/40386/lyxsvn

and that we still install the lyx.desktop that we carry.

Rex is there any further reason to provide our lyx.desktop or can we remove it?

I intend to create a copr for lyx 2.2 (that is already in alpha testing) and this could be one of the first changes. :-)

I expect lyx 2.1.5 to be released in the next couple of months and so this change could also go there.

Comment 2 Rex Dieter 2016-01-08 18:16:38 UTC
Last I looked, the upstream .desktop file was... pretty bad, examples like:
bad/missing MimeTypes, Icon, Categories keys for starters.  Completely replacing it was easier than patching.  My bad for not pushing that upstream.

Looking closer now, it does look like upstream's is at least as good now, so we should certainly use that moving forward.

Comment 3 Jan Kurik 2016-02-24 14:14:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 4 Fedora Update System 2016-04-13 12:59:08 UTC
lyx-2.1.4-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-43a7e6bf0a

Comment 5 Fedora Update System 2016-04-13 13:34:58 UTC
lyx-2.1.4-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-98e56eda3b

Comment 6 Fedora Update System 2016-04-13 21:23:13 UTC
lyx-2.1.4-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-98e56eda3b

Comment 7 Fedora Update System 2016-04-14 04:50:06 UTC
lyx-2.1.4-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-43a7e6bf0a

Comment 8 Fedora Update System 2016-04-17 23:42:07 UTC
lyx-2.1.4-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-04-30 03:34:54 UTC
lyx-2.1.4-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.